Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRXmlTemplateDigesterFactory

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRXmlTemplateDigesterFactory

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class JRXmlTemplateDigesterFactory

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Factory for template XML digesters.

Version:
  $Id: JRXmlTemplateDigesterFactory.java 3616 2010-03-24 14:20:41Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRTemplate`

Field Summary
`protected static java.lang.String` | `PATTERN_BOX`
`protected static java.lang.String` | `PATTERN_BOX_BOTTOM_PEN`
`protected static java.lang.String` | `PATTERN_BOX_LEFT_PEN`
`protected static java.lang.String` | `PATTERN_BOX_PEN`
`protected static java.lang.String` | `PATTERN_BOX_RIGHT_PEN`
`protected static java.lang.String` | `PATTERN_BOX_TOP_PEN`
`protected static java.lang.String` | `PATTERN_INCLUDED_TEMPLATE`
`protected static java.lang.String` | `PATTERN_ROOT`
`protected static java.lang.String` | `PATTERN_STYLE`
`protected static java.lang.String` | `PATTERN_STYLE_PEN`

Constructor Summary
`protected` | `JRXmlTemplateDigesterFactory()`

Method Summary
`protected void` | `configureDigester(org.apache.commons.digester.Digester digester)`
`JRXmlDigester` | `createDigester()` Creates and configures a digester for template XML.
`void` | `error(org.xml.sax.SAXParseException exception)`
`void` | `fatalError(org.xml.sax.SAXParseException exception)`
`static JRXmlTemplateDigesterFactory` | `instance()` Returns the singleton instance.
`protected org.apache.commons.digester.RuleSet` | `readRuleSet()`
`void` | `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATTERN_ROOT

    protected static final java.lang.String PATTERN_ROOT

See Also:
  Constant Field Values

### PATTERN_INCLUDED_TEMPLATE

    protected static final java.lang.String PATTERN_INCLUDED_TEMPLATE

See Also:
  Constant Field Values

### PATTERN_STYLE

    protected static final java.lang.String PATTERN_STYLE

See Also:
  Constant Field Values

### PATTERN_STYLE_PEN

    protected static final java.lang.String PATTERN_STYLE_PEN

See Also:
  Constant Field Values

### PATTERN_BOX

    protected static final java.lang.String PATTERN_BOX

See Also:
  Constant Field Values

### PATTERN_BOX_PEN

    protected static final java.lang.String PATTERN_BOX_PEN

See Also:
  Constant Field Values

### PATTERN_BOX_TOP_PEN

    protected static final java.lang.String PATTERN_BOX_TOP_PEN

See Also:
  Constant Field Values

### PATTERN_BOX_LEFT_PEN

    protected static final java.lang.String PATTERN_BOX_LEFT_PEN

See Also:
  Constant Field Values

### PATTERN_BOX_BOTTOM_PEN

    protected static final java.lang.String PATTERN_BOX_BOTTOM_PEN

See Also:
  Constant Field Values

### PATTERN_BOX_RIGHT_PEN

    protected static final java.lang.String PATTERN_BOX_RIGHT_PEN

See Also:
  Constant Field Values

Constructor Detail

### JRXmlTemplateDigesterFactory

    protected JRXmlTemplateDigesterFactory()

Method Detail

### instance

    public static JRXmlTemplateDigesterFactory instance()

  Returns the singleton instance.

  Returns:
    the singleton instance

### readRuleSet

    protected org.apache.commons.digester.RuleSet readRuleSet()

### createDigester

    public JRXmlDigester createDigester()

  Creates and configures a digester for template XML.

  Returns:
    a template XML digester

### configureDigester

    protected void configureDigester(org.apache.commons.digester.Digester digester)
                              throws org.xml.sax.SAXException,
                                     javax.xml.parsers.ParserConfigurationException

  Throws:
    `org.xml.sax.SAXException`
    `javax.xml.parsers.ParserConfigurationException`

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com